package com.microservices.zone.partners.domain.vo;

import com.microservices.zone.partners.domain.ZonePartnersType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */

@Data
@ApiModel("合作伙伴分类搜索对象")
public class ZonePartnersTypeSearchVo {
    @ApiModelProperty(value = "合作伙伴分类名称")
    private String name;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZonePartnersType toZonePartnersType() {
        ZonePartnersType zonePartnersType = new ZonePartnersType();
        zonePartnersType.setZoneId(zoneId);
        zonePartnersType.setName(name);
        return zonePartnersType;
    }
}
